<?php 
include('../../../../configuracion.php');
include('../config.php');
	 	 
///////////////////////////////////////////////////////
 
$ico = isset($_POST['ico']) ? $_POST['ico'] : NULL;
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$nombre_en = isset($_POST['nombre_en']) ? $_POST['nombre_en'] : NULL;
$titulo = isset($_POST['titulo']) ? $_POST['titulo'] : NULL;
$titulo_en = isset($_POST['titulo_en']) ? $_POST['titulo_en'] : NULL;
$texto = isset($_POST['texto']) ? $_POST['texto'] : NULL;
$texto_en = isset($_POST['texto_en']) ? $_POST['texto_en'] : NULL;
$metatitle = isset($_POST['metatitle']) ? $_POST['metatitle'] : NULL;
$metadescription = isset($_POST['metadescription']) ? $_POST['metadescription'] : NULL;
$keywords = isset($_POST['keywords']) ? $_POST['keywords'] : NULL;
$estado = isset($_POST['estado']) ? $_POST['estado'] : NULL;

$ico = funcion::LimpiaComillaSimple($ico);
$nombre = funcion::LimpiaComillaSimple($nombre);
$nombre_en = funcion::LimpiaComillaSimple($nombre_en);
$titulo = funcion::LimpiaComillaSimple($titulo);
$titulo_en = funcion::LimpiaComillaSimple($titulo_en);
$texto = funcion::LimpiaComillaSimple($texto);
$texto_en = funcion::LimpiaComillaSimple($texto_en);


if(empty($nombre_en)){$nombre_en=$nombre;}
if(empty($titulo_en)){$titulo_en=$titulo;}
if(empty($texto_en)){$texto_en=$texto;}

// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'ico'			=> $db->string($ico),
			'nombre'			=> $db->string($nombre),
			'nombre_en'			=> $db->string($nombre_en),
			'titulo'			=> $db->string($titulo),
			'titulo_en'			=> $db->string($titulo_en),
			'texto'				=> $db->string($texto,html),
			'texto_en'			=> $db->string($texto_en,html),
			'metatitle'			=> $db->string($metatitle),
			'metadescription'	=> $db->string($metadescription),
			'keywords'			=> $db->string($keywords),
			'estado'			=> @$estado+0,
			'autor'				=> @$autor+0,
			'editor'			=> @$autor+0,
			'fecha_ingreso'		=> $db->string($fecha_ingreso),
			'fecha_edicion'		=> $db->string($fecha_ingreso)
		);

		$db->insert(TABLA,$datos);
		$id = $db->UltimoId(TABLA);

		if (!empty($id)) {
			$mensaje_respuesta = 'Datos agregados.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar.';
			$url_respuesta = MAGO."c/".MODULO.'/agregar';
		}


		// Creamos el Slug
		$slug = funcion::slug($nombre);

		// Verificamos que no se repita el slug
		$validar_slug = $db->results(TABLA,'id',"slug='{$slug}'");
		if(count($validar_slug)){
			$slug = $slug.'-'.$id;
		}

		// Subimos a la base de datos
		$datos_orden = array(
			'orden'		=> @$id+0,
			'slug'		=> $db->string($slug)
		);		
		$db->update(TABLA,$datos_orden,"id='$id'");




		$ruta = '../../../../imagenes/'.FOLDER;
		// Incluimos la clase Upload
		include_once 'class.upload.php';
        $imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		if ($imagen->uploaded) {

        
		
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id;
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_ratio_y			= true;
			  $imagen->image_x					= 500;
			  $imagen->image_y					= 380;
			  
			  $imagen->process($ruta);
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $id.'-min';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 250; /* Ancho */
			  $imagen->image_y					= 190; /* Alto */
			  
			  $imagen->process($ruta);
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.'-rec';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_fill			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 100; /* Ancho */
			  $imagen->image_y					= 100; /* Alto */
			  
			  $imagen->process($ruta);
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======

        $imagenback = new upload($_FILES['imagen_principal']);

        // Comprobamos si se subió la imagen
		  if ($imagenback->uploaded) {
        // ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagenback->image_convert			= 'jpg';
			  $imagenback->jpeg_quality				= 92;
			  $imagenback->allowed					= array('image/*');
			  $imagenback->file_new_name_body		= 'slide-'.$id;
			  $imagenback->file_new_name_ext		= 'jpg';
			  $imagenback->image_resize				= true;
			  $imagenback->image_ratio_crop			= true;
			  $imagenback->image_background_color	= '#FFFFFF';
			  $imagenback->image_x					= 1920; /* Ancho */
			  $imagenback->image_y					= 700; /* Alto */
			  
			  $imagenback->process($ruta);
			  if ($imagenback->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen_principal'	=> $db->string($imagenback->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagenback->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================		
		
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======



	


echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>